#!/bin/bash
set -e

# This is a script to make running lader a little easier

# You may need to modify LADER_DIR to point to your actual directory
# Also, if you invoke it from any directory other than the one in which
# the phrase table is located, you may want to modify kftt-ja-en.mod to point
# to the absolute path of kftt-ja-en.pt 
LADER_DIR=$HOME/work/lader

# If you want to output parse trees or indexes, you can modify this variable
# to "parse" or "order"
OUT_FORMAT="string"

# If you have a multi-core machine, this will make processing faster
THREADS="1"

if [[ "x$#" != "x1" ]]; then
    echo "Usage: $0 text.ja";
    exit 1;
fi

TMP_ID="lader-$RANDOM";
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

$LADER_DIR/script/add-classes.pl $DIR/kftt-ja-en.cls < $1 > /tmp/$TMP_ID.cls
paste $1 /tmp/$TMP_ID.cls | $LADER_DIR/src/bin/lader -model $DIR/kftt-ja-en.mod -threads $THREADS -out_format $OUT_FORMAT
